"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.primeTreeSelectDefinition = exports.primeToggleSwitchDefinition = exports.primeToggleButtonDefinition = exports.primeTextareaDefinition = exports.primeSliderDefinition = exports.primeSelectDefinition = exports.primeSelectButtonDefinition = exports.primeRatingDefinition = exports.primeRadioButtonDefinition = exports.primePasswordDefinition = exports.primeMultiSelectDefinition = exports.primeListboxDefinition = exports.primeKnobDefinition = exports.primeInputs = exports.primeInputTextDefinition = exports.primeInputOtpDefinition = exports.primeInputNumberDefinition = exports.primeInputMaskDefinition = exports.primeEditorDefinition = exports.primeDatePickerDefinition = exports.primeColorPickerDefinition = exports.primeCheckboxDefinition = exports.primeCascadeSelectDefinition = exports.primeAutoCompleteDefinition = void 0;
var _vue = require("@formkit/vue");
var _PrimeAutoComplete = _interopRequireDefault(require("../components/PrimeAutoComplete.vue"));
var _PrimeCascadeSelect = _interopRequireDefault(require("../components/PrimeCascadeSelect.vue"));
var _PrimeCheckbox = _interopRequireDefault(require("../components/PrimeCheckbox.vue"));
var _PrimeColorPicker = _interopRequireDefault(require("../components/PrimeColorPicker.vue"));
var _PrimeDatePicker = _interopRequireDefault(require("../components/PrimeDatePicker.vue"));
var _PrimeEditor = _interopRequireDefault(require("../components/PrimeEditor.vue"));
var _PrimeInputMask = _interopRequireDefault(require("../components/PrimeInputMask.vue"));
var _PrimeInputNumber = _interopRequireDefault(require("../components/PrimeInputNumber.vue"));
var _PrimeInputOtp = _interopRequireDefault(require("../components/PrimeInputOtp.vue"));
var _PrimeInputText = _interopRequireDefault(require("../components/PrimeInputText.vue"));
var _PrimeKnob = _interopRequireDefault(require("../components/PrimeKnob.vue"));
var _PrimeListbox = _interopRequireDefault(require("../components/PrimeListbox.vue"));
var _PrimeMultiSelect = _interopRequireDefault(require("../components/PrimeMultiSelect.vue"));
var _PrimePassword = _interopRequireDefault(require("../components/PrimePassword.vue"));
var _PrimeRadioButton = _interopRequireDefault(require("../components/PrimeRadioButton.vue"));
var _PrimeRating = _interopRequireDefault(require("../components/PrimeRating.vue"));
var _PrimeSelect = _interopRequireDefault(require("../components/PrimeSelect.vue"));
var _PrimeSelectButton = _interopRequireDefault(require("../components/PrimeSelectButton.vue"));
var _PrimeSlider = _interopRequireDefault(require("../components/PrimeSlider.vue"));
var _PrimeTextarea = _interopRequireDefault(require("../components/PrimeTextarea.vue"));
var _PrimeToggleButton = _interopRequireDefault(require("../components/PrimeToggleButton.vue"));
var _PrimeToggleSwitch = _interopRequireDefault(require("../components/PrimeToggleSwitch.vue"));
var _PrimeTreeSelect = _interopRequireDefault(require("../components/PrimeTreeSelect.vue"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const primeAutoCompleteDefinition = exports.primeAutoCompleteDefinition = (0, _vue.createInput)(_PrimeAutoComplete.default, {
  props: ["pt", "ptOptions", "unstyled", "Select", "multiple", "typeahead"]
});
const primeInputTextDefinition = exports.primeInputTextDefinition = (0, _vue.createInput)(_PrimeInputText.default, {
  props: ["pt", "ptOptions", "unstyled", "placeholder", "iconPrefix", "iconSuffix"]
});
const primeInputNumberDefinition = exports.primeInputNumberDefinition = (0, _vue.createInput)(_PrimeInputNumber.default, {
  props: ["useGrouping", "min", "max", "minFractionDigits", "maxFractionDigits", "locale", "mode", "currency", "prefix", "suffix", "showButtons", "buttonLayout", "step", "pt", "ptOptions", "unstyled", "placeholder"]
});
const primeInputMaskDefinition = exports.primeInputMaskDefinition = (0, _vue.createInput)(_PrimeInputMask.default, {
  props: ["mask", "slotChar", "autoClear", "unmask", "pt", "ptOptions", "unstyled", "invalid", "variant", "iconPrefix", "iconSuffix"]
});
const primePasswordDefinition = exports.primePasswordDefinition = (0, _vue.createInput)(_PrimePassword.default, {
  props: ["mediumRegex", "strongRegex", "promptLabel", "weakLabel", "mediumLabel", "strongLabel", "hideIcon", "showIcon", "pt", "ptOptions", "unstyled", "placeholder", "feedback", "toggleMask"]
});
const primeTextareaDefinition = exports.primeTextareaDefinition = (0, _vue.createInput)(_PrimeTextarea.default, {
  props: ["pt", "ptOptions", "unstyled", "autoResize", "rows", "placeholder"]
});
const primeCheckboxDefinition = exports.primeCheckboxDefinition = (0, _vue.createInput)(_PrimeCheckbox.default, {
  props: ["binary", "trueValue", "falseValue", "pt", "ptOptions", "unstyled", "indeterminate", "variant", "prefix", "suffix"]
});
const primeToggleSwitchDefinition = exports.primeToggleSwitchDefinition = (0, _vue.createInput)(_PrimeToggleSwitch.default, {
  props: ["trueValue", "falseValue", "pt", "ptOptions", "unstyled", "prefix", "suffix"]
});
const primeInputOtpDefinition = exports.primeInputOtpDefinition = (0, _vue.createInput)(_PrimeInputOtp.default, {
  props: ["length", "variant", "mask", "integerOnly", "pt", "ptOptions", "unstyled"]
});
const primeEditorDefinition = exports.primeEditorDefinition = (0, _vue.createInput)(_PrimeEditor.default, {
  props: ["placeholder", "formats", "modules", "pt", "ptOptions", "unstyled"]
});
const primeSelectDefinition = exports.primeSelectDefinition = (0, _vue.createInput)(_PrimeSelect.default, {
  props: ["options", "optionLabel", "optionValue", "optionDisabled", "optionGroupLabel", "optionGroupChildren", "scrollHeight", "filter", "filterPlaceholder", "filterLocale", "filterMatchMode", "filterFields", "filterInputProps", "editable", "placeholder", "dataKey", "showClear", "panelStyle", "panelClass", "panelProps", "appendTo", "resetFilterOnHide", "virtualScrollerOptions", "autoOptionFocus", "selectOnFocus", "filterMessage", "selectionMessage", "emptySelectionMessage", "emptyFilterMessage", "emptyMessage", "pt", "ptOptions", "unstyled"]
});
const primeMultiSelectDefinition = exports.primeMultiSelectDefinition = (0, _vue.createInput)(_PrimeMultiSelect.default, {
  props: ["options", "optionLabel", "optionValue", "optionDisabled", "optionGroupLabel", "optionGroupChildren", "scrollHeight", "inputProps", "closeButtonProps", "dataKey", "filter", "filterPlaceholder", "filterLocale", "filterMatchMode", "filterFields", "appendTo", "display", "maxSelectedLabels", "selectedItemsLabel", "selectionLimit", "showToggleAll", "loading", "selectAll", "resetFilterOnHide", "virtualScrollerOptions", "autoOptionFocus", "autoFilterFocus", "filterMessage", "selectionMessage", "emptySelectionMessage", "emptyFilterMessage", "emptyMessage", "pt", "placeholder", "ptOptions", "unstyled"]
});
const primeListboxDefinition = exports.primeListboxDefinition = (0, _vue.createInput)(_PrimeListbox.default, {
  props: ["pt", "ptOptions", "unstyled", "options", "optionLabel", "optionValue", "multiple", "filter", "filterIcon", "filterPlaceholder", "filterLocale", "filterMatchMode", "autoOptionFocus", "selectOnFocus"]
});
const primeDatePickerDefinition = exports.primeDatePickerDefinition = (0, _vue.createInput)(_PrimeDatePicker.default, {
  props: ["dateFormat", "placeholder", "selectionMode", "inline", "icon", "showOtherMonths", "selectOtherMonths", "showIcon", "previousIcon", "nextIcon", "incrementIcon", "decrementIcon", "numberOfMonths", "responsiveOptions", "view", "touchUI", "minDate", "maxDate", "disabledDates", "disabledDays", "maxDateCount", "showOnFocus", "autoZIndex", "baseZIndex", "showButtonBar", "showTime", "timeOnly", "shortYearCutoff", "hourFormat", "stepHour", "stepMinute", "stepSecond", "showSeconds", "hideOnDateTimeSelect", "hideOnRangeSelection", "timeSeparator", "showWeek", "manualInput", "appendTo", "panelStyle", "panelClass", "pt", "ptOptions", "unstyled"]
});
const primeSliderDefinition = exports.primeSliderDefinition = (0, _vue.createInput)(_PrimeSlider.default, {
  props: ["pt", "ptOptions", "unstyled", "min", "max", "step", "range", "orientation"]
});
const primeRatingDefinition = exports.primeRatingDefinition = (0, _vue.createInput)(_PrimeRating.default, {
  props: ["unstyled", "stars", "cancel", "onIcon", "offIcon", "cancelIcon", "ptOptions", "pt"]
});
const primeRadioButtonDefinition = exports.primeRadioButtonDefinition = (0, _vue.createInput)(_PrimeRadioButton.default, {
  props: ["pt", "ptOptions", "unstyled", "options", "optionsClass", "optionClass"]
});
const primeKnobDefinition = exports.primeKnobDefinition = (0, _vue.createInput)(_PrimeKnob.default, {
  props: ["pt", "ptOptions", "unstyled", "min", "max", "step", "size", "strokeWidth", "showValue", "valueColor", "rangeColor", "textColor", "valueTemplate"]
});
const primeColorPickerDefinition = exports.primeColorPickerDefinition = (0, _vue.createInput)(_PrimeColorPicker.default, {
  props: ["defaultColor", "inline", "format", "pt", "ptOptions", "unstyled"]
});
const primeToggleButtonDefinition = exports.primeToggleButtonDefinition = (0, _vue.createInput)(_PrimeToggleButton.default, {
  props: ["pt", "ptOptions", "unstyled", "onLabel", "offLabel", "onIcon", "offIcon", "iconPos"]
});
const primeSelectButtonDefinition = exports.primeSelectButtonDefinition = (0, _vue.createInput)(_PrimeSelectButton.default, {
  props: ["pt", "ptOptions", "unstyled", "optionLabel", "optionValue", "optionDisabled", "multiple", "unselectable", "dataKey", "options"]
});
const primeCascadeSelectDefinition = exports.primeCascadeSelectDefinition = (0, _vue.createInput)(_PrimeCascadeSelect.default, {
  props: ["options", "optionLabel", "optionValue", "optionGroupLabel", "optionGroupChildren", "placeholder", "pt", "ptOptions", "unstyled"]
});
const primeTreeSelectDefinition = exports.primeTreeSelectDefinition = (0, _vue.createInput)(_PrimeTreeSelect.default, {
  props: ["options", "placeholder", "selectionMode", "pt", "ptOptions", "unstyled", "emptyMessage", "display", "metaKeySelection", "appendTo", "scrollHeight", "panelClass", "variant"]
});
const primeInputs = exports.primeInputs = {
  primeAutoComplete: primeAutoCompleteDefinition,
  primeInputText: primeInputTextDefinition,
  primeInputNumber: primeInputNumberDefinition,
  primeInputMask: primeInputMaskDefinition,
  primePassword: primePasswordDefinition,
  primeCheckbox: primeCheckboxDefinition,
  primeToggleSwitch: primeToggleSwitchDefinition,
  primeTextarea: primeTextareaDefinition,
  primeEditor: primeEditorDefinition,
  primeSelect: primeSelectDefinition,
  primeMultiSelect: primeMultiSelectDefinition,
  primeDatePicker: primeDatePickerDefinition,
  primeSlider: primeSliderDefinition,
  primeKnob: primeKnobDefinition,
  primeRating: primeRatingDefinition,
  primeRadioButton: primeRadioButtonDefinition,
  primeColorPicker: primeColorPickerDefinition,
  primeToggleButton: primeToggleButtonDefinition,
  primeListbox: primeListboxDefinition,
  primeSelectButton: primeSelectButtonDefinition,
  primeCascadeSelect: primeCascadeSelectDefinition,
  primeTreeSelect: primeTreeSelectDefinition,
  primeInputOtp: primeInputOtpDefinition
};