import { createInput } from "@formkit/vue";
import PrimeOutputBoolean from "../components/PrimeOutputBoolean.vue";
import PrimeOutputDate from "../components/PrimeOutputDate.vue";
import PrimeOutputDuration from "../components/PrimeOutputDuration.vue";
import PrimeOutputLink from "../components/PrimeOutputLink.vue";
import PrimeOutputList from "../components/PrimeOutputList.vue";
import PrimeOutputNumber from "../components/PrimeOutputNumber.vue";
import PrimeOutputReference from "../components/PrimeOutputReference.vue";
import PrimeOutputText from "../components/PrimeOutputText.vue";
export const primeOutputTextDefinition = createInput(PrimeOutputText, {
  props: ["prefix", "suffix", "iconPrefix", "iconSuffix", "html"]
});
export const primeOutputDateDefinition = createInput(PrimeOutputDate, {
  props: ["prefix", "suffix", "iconPrefix", "iconSuffix"]
});
export const primeOutputNumberDefinition = createInput(PrimeOutputNumber, {
  props: ["prefix", "suffix", "iconPrefix", "iconSuffix"]
});
export const primeOutputLinkDefinition = createInput(PrimeOutputLink, {
  props: ["prefix", "suffix", "iconPrefix", "iconSuffix", "title"]
});
export const primeOutputReferenceDefinition = createInput(PrimeOutputReference, {
  props: ["prefix", "suffix", "iconPrefix", "iconSuffix", "reference", "internal", "linkComponentName", "title"]
});
export const primeOutputBooleanDefinition = createInput(PrimeOutputBoolean, {
  props: ["prefix", "suffix", "iconPrefix", "iconSuffix", "trueValue", "falseValue"]
});
export const primeOutputDurationDefinition = createInput(PrimeOutputDuration, {
  props: ["prefix", "suffix", "iconPrefix", "iconSuffix"]
});
export const primeOutputListDefinition = createInput(PrimeOutputList, {
  props: ["prefix", "suffix", "iconPrefix", "iconSuffix", "divider", "itemClass", "dividerClass"]
});
